# sar_tools.hpp File Reference

a set of tools aims to help Segmentation And Reassemblement (sar) class More...

`#include "../my_config.h"`
`#include <string>`
`#include "integers.hpp"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions
generic_file * | libdar::sar_tools_open_archive_fichier (user_interaction &dialog, const std::string &filename, bool allow_over, bool warn_over)
| create a container for a single sliced archive
generic_file * | libdar::sar_tools_open_archive_tuyau (user_interaction &dialog, S_I fd, gf_mode mode)
| create an container to write a archive to a pipe

## Detailed Description

a set of tools aims to help Segmentation And Reassemblement (sar) class

Definition in file sar_tools.hpp.